Commit a77e5e35 authored by Ian Lynagh's avatar Ian Lynagh

Check that make supports eval

parent fdd4cf1b
......@@ -93,11 +93,18 @@ check-packages :
exit 1; \
fi
HAVE_EVAL := NO
$(eval HAVE_EVAL := YES)
check-tools:
ifeq "$(HSCOLOUR_SRCS) $(HSCOLOUR)" "YES "
@echo "HsColour needed but wasn't found."
@echo "Set HSCOLOUR_SRCS=NO if you don't want to use it"
exit 1
endif
ifeq "$(HAVE_EVAL)" "NO"
@echo "Your make doesn't support eval. You need GNU make >= 3.80"
exit 1
endif
@:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment